Service providing access to Fundraising resources and features
Fundraising
/- Returns a list of records with the specified order_id
Creates a new pledge record that does not already exist.
Execute Batch Operations
Returns a list of records with the specified contact_id
Returns a list of records with the specified donor_id
Generates an order from a fundraising pledge
Returns a list of records with the specified organization_id
Sends out a preview of the pledge notification email
Preview Pledge Receipt
Resend Receipt
Resend Receipt
Resend Receipt
Searches for pledges using predefined parameters
Returns a pledge from the system by its ID.
Returns a pledge from the system by its ID.
Partially updates a pledge with the specified ID.
Updates a pledge with the specified ID.
Returns a list of records...
Fundraising (v1-2025-04-18)
Download OpenAPI description
Languages
Servers
Mock server
https://docs.api.rhythmsoftware.com/_mock/apis/fundraising/fundraising-v1
https://fundraising.api.rhythmsoftware.com
Security
knox-authorizer
The pledge to generate an order
If selected, the donor covers the transaction fees
The amount of any premiums associated with the gift
- Mock serverhttps://docs.api.rhythmsoftware.com/_mock/apis/fundraising/fundraising-v1/pledges/{tenantId}/generateOrder
- https://fundraising.api.rhythmsoftware.com/pledges/{tenantId}/generateOrder
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X POST \
'https://docs.api.rhythmsoftware.com/_mock/apis/fundraising/fundraising-v1/pledges/{tenantId}/generateOrder' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>' \
-H 'Content-Type: application/json' \
-d '{
"amount": 0.1,
"anonymous": true,
"appeal_id": "string",
"campaign_id": "string",
"contact_id": "string",
"cover_transaction_costs": true,
"currency_code": "string",
"currency_symbol": "string",
"custom_field_values": [
{
"boolean_value": true,
"custom_field_id": "string",
"file_url_value": "string",
"list_value": [
"string"
],
"numeric_value": 0.1,
"string_value": "string",
"table_value": [
{}
]
}
],
"donor_type": "contact",
"fund_id": "string",
"giving_process_id": "string",
"has_splits": true,
"installment_plan_id": "string",
"notes": "string",
"organization_id": "string",
"premium_assignment": "assigned",
"premium_fair_market_value": 0.1,
"premium_id": "string",
"shipping_address": {
"city": "string",
"country": "string",
"country_name": "string",
"county": "string",
"latitude": 0.1,
"line1": "string",
"line2": "string",
"line3": "string",
"longitude": 0.1,
"postal_code": "string",
"state": "string",
"time_zone_id": "string"
},
"splits": [
{
"amount": 0.1,
"fund_id": "string"
}
],
"tribute_gift": true,
"tribute_gift_info": {
"address": {
"city": "string",
"country": "string",
"country_name": "string",
"county": "string",
"latitude": 0.1,
"line1": "string",
"line2": "string",
"line3": "string",
"longitude": 0.1,
"postal_code": "string",
"state": "string",
"time_zone_id": "string"
},
"contact_id": "string",
"details": "string",
"email_address": null,
"inform_honoree": true,
"inform_honoree_by": "email",
"message": null,
"name": "string",
"type": "in honor of"
}
}'Response
application/json
{}
- Mock serverhttps://docs.api.rhythmsoftware.com/_mock/apis/fundraising/fundraising-v1/pledges/{tenantId}/order/{order_id}
- https://fundraising.api.rhythmsoftware.com/pledges/{tenantId}/order/{order_id}
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X GET \
'https://docs.api.rhythmsoftware.com/_mock/apis/fundraising/fundraising-v1/pledges/{tenantId}/order/{order_id}?fields=string&exclusiveStartKey=string' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>'Response
application/json
{ "Count": 0, "Items": [ { … } ], "LastEvaluatedKey": "string" }
- Mock serverhttps://docs.api.rhythmsoftware.com/_mock/apis/fundraising/fundraising-v1/pledges/{tenantId}/organization/{organization_id}
- https://fundraising.api.rhythmsoftware.com/pledges/{tenantId}/organization/{organization_id}
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X GET \
'https://docs.api.rhythmsoftware.com/_mock/apis/fundraising/fundraising-v1/pledges/{tenantId}/organization/{organization_id}?fields=string&exclusiveStartKey=string' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>'Response
application/json
{ "Count": 0, "Items": [ { … } ], "LastEvaluatedKey": "string" }